Skip to content

List Agents

GET /agents
NameInTypeNotes
qquerystring | nulloptional—
scopequerystring | nulloptional—
graph_kindquerystring | nulloptional—
is_activequeryboolean | nulloptional—
limitqueryintegeroptionalDefault 50. min 1 max 200
cursorquerystring | nulloptional—
offsetqueryinteger | nulloptionalmin 0
StatusDescriptionBody
200Successful ResponsePage_AgentView_
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/agents \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
itemsAgentView[]required—
next_cursorstring | nulloptional—
totalinteger | nulloptional—